Bug 904640 - Review Request: rubygem-domain_name - Domain Name manipulation library for Ruby
Summary: Review Request: rubygem-domain_name - Domain Name manipulation library for Ruby
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 904639
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-26 18:49 UTC by Mamoru TASAKA
Modified: 2013-10-13 17:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-13 17:10:39 UTC
Type: ---
ktdreyer: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-01-26 18:49:34 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-domain_name.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-domain_name-0.5.7-1.fc.src.rpm
Description: 
This is a Domain Name manipulation library for Ruby.
It can also be used for cookie domain validation based on the Public
Suffix List.

Fedora Account System Username: mtasaka

Comment 1 Mamoru TASAKA 2013-01-26 18:53:20 UTC
This bug depends on rubygem-unf, review request bug 904639 .
Local mock build log:
http://mtasaka.fedorapeople.org/Review_request/mechanize-related/MOCK-rubygem-domain_name.log

Comment 6 Ken Dreyer 2013-10-09 02:40:20 UTC
I can take this review.

Comment 7 Ken Dreyer 2013-10-10 10:43:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- At the "%if 0%{?fedora} >= 19" conditional, when that conditional
  evaluates to "false", then Requires: ruby will be set twice.

Please fix the above issue and I'll approve the package. I'm also listing a
couple of non-blocking suggestions, in order of importance:

- I recommend using HTTPS in the Source0 URL.

- You have a Requires: ruby(release) along with Requires: ruby. IMHO these
  are duplicate requirements and the latter (plain "ruby") should be
  deleted.

- My preference would be to modify the test/* files during %prep, instead of
  during %check.



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     See note at the top of the review about Requires: ruby.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
     See note at the top of the review about Requires: ruby.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-domain_name-0.5.13-1.fc19.noarch.rpm
          rubygem-domain_name-doc-0.5.13-1.fc19.noarch.rpm
          rubygem-domain_name-0.5.13-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-domain_name-doc rubygem-domain_name
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-domain_name-doc (rpmlib, GLIBC filtered):
    rubygem-domain_name

rubygem-domain_name (rpmlib, GLIBC filtered):
    ruby
    ruby(release)
    ruby(rubygems)
    rubygem(unf)



Provides
--------
rubygem-domain_name-doc:
    rubygem-domain_name-doc

rubygem-domain_name:
    rubygem(domain_name)
    rubygem-domain_name



Source checksums
----------------
http://rubygems.org/gems/domain_name-0.5.13.gem :
  CHECKSUM(SHA256) this package     : bbafaaf2d663a9985d99d7b35b92bd0dbff2bfa35e3e92c075ad2e2199daa754
  CHECKSUM(SHA256) upstream package : bbafaaf2d663a9985d99d7b35b92bd0dbff2bfa35e3e92c075ad2e2199daa754


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -L deps/ -n rubygem-domain_name
Buildroot used: fedora-19-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG

Built with local dependencies:
    /home/ktdreyer/fedora-scm/rubygem-domain_name/deps/rubygem-unf-0.1.2-1.fc19.noarch.rpm

Comment 9 Ken Dreyer 2013-10-11 20:01:12 UTC
Looks good to me! Approved.

Comment 10 Mamoru TASAKA 2013-10-12 16:09:30 UTC
New Package SCM Request
=======================
Package Name: rubygem-domain_name
Short Description: Domain Name manipulation library for Ruby
Owners: mtasaka
Branches: f18 f19 f20
InitialCC:

Comment 11 Gwyn Ciesla 2013-10-12 19:06:31 UTC
Git done (by process-git-requests).

Comment 12 Mamoru TASAKA 2013-10-13 17:10:39 UTC
Built on all branches, push requested for F-20 and below, closing.

Thank you for review and git procedure.


Note You need to log in before you can comment on or make changes to this bug.